Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.xml.schema
Class RecurringDay

    java.lang.Object
      |
      +--com.bea.p13n.xml.schema.RecurringDay

All Implemented Interfaces:
  Cloneable, Serializable

Direct Known Subclasses:
  RecurringDate

public class RecurringDay
extends Object
implements Serializable, Cloneable

This class provides the Java biding for the XML schema type recurringDay as specified in Section 3.3.32 of XML Schema Part 2: Datatypes.

recurringDay represents a day of the month that recurs every month.

Lexical Representation: Left truncated representation for date as ----DD.

Check with the spec. Sec 3.3.32 specified the lexical representation as ---DD and not as ----DD. Verify this.

Example: `----11`, 11th, that occurs every month.

See Also:
  Serialized Form

Field Summary
`protected RecurringDuration` | `_internal`
`protected TimeInstant` | `reference`

Constructor Summary
`protected` | `RecurringDay()` Constructs a new RecurringDay instance.
`protected` | `RecurringDay(TimeInstant instant)` Constructs a new RecurringDay instance with the with a timeInstant.

Method Summary
`Object` | `clone()` Returns a copy.
`static RecurringDay` | `createRecurringDay()` Returns a RecurringDay for the current day.
`static RecurringDay` | `createRecurringDay(String recurringDay)` Given a string of the form ----DD, returns a RecurringDay instance.
`int` | `getDay()` Returns the day (DD) field
`TimeInstant` | `getReference()` Returns the reference instant.
`TimeZone` | `getTimeZone()` Returns the time zone
`Date` | `next()` Returns the next date based on the reference time instant.
`Date` | `next(TimeInstant instant)` Returns the next date with repsect to the specified time instant.
`Date` | `previous()` Returns the previous date based on the reference time instant.
`Date` | `previous(TimeInstant instant)` Returns the previous date with repsect to the specified time instant.
`void` | `setDay(int day)` Sets the day (DD) field
`void` | `setReference(TimeInstant reference)` Sets the reference instant.
`void` | `setTimeZone(TimeZone timeZone)` Sets the time zone
`String` | `toString()` Returns a string representation in the form of ----DD with the time zone.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _internal

    protected RecurringDuration _internal

### reference

    protected TimeInstant reference

Constructor Detail

### RecurringDay

    protected RecurringDay()

  Constructs a new RecurringDay instance.

### RecurringDay

    protected RecurringDay(TimeInstant instant)

  Constructs a new RecurringDay instance with the with a timeInstant.

Parameters:
  `instant` - time instant

Method Detail

### createRecurringDay

    public static RecurringDay createRecurringDay()

  Returns a RecurringDay for the current day.

  Returns:
    recurring date

### createRecurringDay

    public static RecurringDay createRecurringDay(String recurringDay)
                                           throws ParseException

  Given a string of the form ----DD, returns a RecurringDay instance. The argument may optionally include the timezone specified as "Z" or as <+/->hh:mm.

  It is invalid to prepend the argument string with a "+" or "-" (minus) symbol.

  Returns:
    recurring date
  Throws:
    `ParseException` - thrown due to illegal string argument.

### getDay

    public int getDay()

  Returns the day (DD) field

  Returns:
    day field

### setDay

    public void setDay(int day)

  Sets the day (DD) field

  Parameters:
    `day` - day field

### getReference

    public TimeInstant getReference()

  Returns the reference instant.

  Returns:
    reference time instant

### setReference

    public void setReference(TimeInstant reference)

  Sets the reference instant.

  Parameters:
    `reference` - reference time instant

### next

    public Date next()

  Returns the next date based on the reference time instant.

  Returns:
    next date
  See Also:
    `setReference(com.bea.p13n.xml.schema.TimeInstant)`

### next

    public Date next(TimeInstant instant)

  Returns the next date with repsect to the specified time instant.

  Parameters:
    `instant` - reference time instant
  Returns:
    next date

### previous

    public Date previous()

  Returns the previous date based on the reference time instant.

  Returns:
    previous date
  See Also:
    `setReference(com.bea.p13n.xml.schema.TimeInstant)`

### previous

    public Date previous(TimeInstant instant)

  Returns the previous date with repsect to the specified time instant.

  Parameters:
    `instant` - reference time instant
  Returns:
    previous date

### getTimeZone

    public TimeZone getTimeZone()

  Returns the time zone

  Returns:
    time zone

### setTimeZone

    public void setTimeZone(TimeZone timeZone)

  Sets the time zone

  Parameters:
    `timeZone` - time zone

### toString

    public String toString()

  Returns a string representation in the form of ----DD with the time zone.

  Overrides:
    `toString` in class `Object`
  Returns:
    string

### clone

    public Object clone()

  Returns a copy.

  Overrides:
    `clone` in class `Object`
  Returns:
    copy

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved